package com.rf.psychological.user.service;

import com.rf.psychological.user.dao.model.UserRepeatNameNumEntity;

import java.util.List;

/**
 * @author lpf
 * @description:
 * @date 17/12/2021下午7:20
 */
public interface UserRepeatNameNumService {

    List<UserRepeatNameNumEntity> findAllByInstitutionNo(String institutionNo);

    UserRepeatNameNumEntity findUserRepeatNameNumEntityByNamePinyinAndInstitutionNo(String namePinyin, String institutionNo);

    int updateNum(String namePinyin, String institutionNo, int num);

    UserRepeatNameNumEntity save(UserRepeatNameNumEntity userRepeatNameNumEntity);

    /**
     * 检查同机构下存在同拼音的人的人数
     * @param institutionNo
     * @param namePinyin
     * @return 同拼音的人的人数
     */
    int testOrNotNamePinyin(String institutionNo, String namePinyin);

}
